import { ElementRef, OnInit, OnDestroy, TemplateRef } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { DeviceDetectorService } from 'ngx-device-detector';
import { MatBottomSheet } from '@angular/material/bottom-sheet';
export declare class ModalControl implements OnInit, OnDestroy {
    private dialog;
    private bottomSheet;
    static index: number;
    templateRef: TemplateRef<any>;
    title: string;
    type: 'primary' | 'info' | 'success' | 'warning' | 'danger';
    width: 'lg' | 'md' | 'sm' | string;
    height: string;
    view: 'dialog' | 'bottomSheet';
    modal: ElementRef;
    isOpened: boolean;
    alreadyOpened: boolean;
    isMobileOrTablet: boolean;
    private bottomSheetRef;
    private dialogRef;
    private subcription;
    constructor(dialog: MatDialog, bottomSheet: MatBottomSheet, deviceService: DeviceDetectorService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    open: () => void;
    close: () => void;
}
